<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>TopologyServiceProvider</title>
        <!-- <script src="http://use.edgefonts.net/source-sans-pro;source-code-pro.js"></script> -->
<link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/css/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>
<!-- <script type="text/javascript" src="../assets/js/main.js"></script> -->

    </head>
    <body>
        <div>

            <!-- Name Title -->

            <h1>TopologyServiceProvider</h1>

            <!-- Type and Stereotype -->

            <section style="margin-top: .5em;">
                <span class="alert alert-info">
                    <span class="node-icon _icon-UMLAttribute"></span>
                    UMLAttribute
                </span>
                
            </section>

            <!-- Path -->

            <section style="margin-top: 10px">
                
                
                
                    
                    <span class="label label-info"><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon _icon-Project'></span>SDS_API</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='7509e2c2e6188caa1c4f143a6d87cb8b.html'><span class='node-icon _icon-UMLModel'></span>Interactions</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='341c7df429de369b1a79a9b84b71abc1.html'><span class='node-icon _icon-UMLCollaboration'></span>SCADA-WebService</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='1a651bd73fce34c14dd25fb5abc25154.html'><span class='node-icon _icon-UMLAttribute'></span>TopologyServiceProvider</a></span>
                
            </section>

            <!-- Diagram -->

            

            <!-- Description -->

            
            <section>
                <h3>Description</h3>
                <div>
                    
                        <span class="label label-info">none</span>
                    
                </div>
            </section>
            

            <!-- Specification -->

            

            <!-- Directed Relationship -->

            

            <!-- Undirected Relationship -->

            

            <!-- Classifier -->

            

            <!-- Interface -->

            

            <!-- Component -->

            

            <!-- Node -->

            

            <!-- Actor -->

            

            <!-- Use Case -->

            

            <!-- Template Parameters -->

            

            <!-- Literals -->

            

            <!-- Attributes -->

            

            <!-- Operations -->

            

            <!-- Receptions -->

            

            <!-- Extension Points -->

            

            <!-- Parameters -->

            

            <!-- Diagrams -->

            
            

            <!-- Behavior -->

            

            <!-- Action -->

            

            <!-- Interaction -->

            

            <!-- CombinedFragment -->

            

            <!-- Activity -->

            

            <!-- State Machine -->

            

            <!-- State Machine -->

            

            <!-- State -->

            

            <!-- Vertex -->

            

            <!-- Transition -->

            

            <!-- Properties -->

            <section>
                <h3>Properties</h3>
                
                <table class="table table-striped table-bordered">
    <tr>
        <th width="50%">Name</th>
        <th width="50%">Value</th>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>name</td>
        <td>TopologyServiceProvider</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>stereotype</td>
        <td><span class='label label-info'>null</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>visibility</td>
        <td>public</td>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>isStatic</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isLeaf</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>type</td>
        <td><a href='5ce1f66a879547fb0e017dc33ff52ad6.html'><span class='node-icon _icon-UMLClass'></span>«@Path=(&quot;&lt;host:5000&gt;/SDS_API/resources/Topology/{element}&quot;)»TopologyService</a></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>multiplicity</td>
        <td></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isReadOnly</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isOrdered</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isUnique</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>defaultValue</td>
        <td></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isDerived</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>aggregation</td>
        <td>none</td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isID</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
</table>                

            </section>

            <!-- Tags -->

            

            <!-- Constraints, Dependencies, Dependants -->

            
                
                


                
                


                
                

            

            <!-- Relationships -->

            
            
<section class="element-list">
    <h3>Relationships</h3>
    <ul class="nav nav-list">
        
        <li><a href='fcb2dd01b78fdfaf09cd7a0b8cce125a.html'><span class='node-icon _icon-UMLConnector'></span>(SDS_Rest—TopologyServiceProvider)</a></li>
        
        <li><a href='eee14103c35f1b8f614a12577590a490.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—SuperService)</a></li>
        
        <li><a href='5dc7ce03288d78552a5277b049d6eb8c.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—RestClient)</a></li>
        
        <li><a href='271d310b8f015c1793a7b741b50dd6ea.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—RestClient)</a></li>
        
        <li><a href='9a850900c145f7bf5874af6225b490f3.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—TopologyInstance)</a></li>
        
        <li><a href='00b8e1be29cf4fe6ab64b2e9fb69ff71.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—RestClient)</a></li>
        
        <li><a href='6040813dd279e04ec1cdb86251ca33cb.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—RestClient)</a></li>
        
        <li><a href='5b3b7a6132d3a03dec1c4dec5cfc6974.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—Ied_List)</a></li>
        
        <li><a href='d46c0eabe7767001a83f4432612be061.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—RestClient)</a></li>
        
        <li><a href='f01f2705206b3e28ee22807a233f9c4f.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—TopologyServiceProvider)</a></li>
        
        <li><a href='836f665c968e79fab5d36f315cbc8182.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—TopologyInstance)</a></li>
        
        <li><a href='50182e37469c8e0d92f760055953c6b8.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—TopologySerializer)</a></li>
        
    </ul>
</section>



            <!-- Owned Elements -->

            
            
<section class="element-list">
    <h3>Owned Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='eee14103c35f1b8f614a12577590a490.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—SuperService)</a></li>
        
        <li><a href='5dc7ce03288d78552a5277b049d6eb8c.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—RestClient)</a></li>
        
        <li><a href='271d310b8f015c1793a7b741b50dd6ea.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—RestClient)</a></li>
        
        <li><a href='9a850900c145f7bf5874af6225b490f3.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—TopologyInstance)</a></li>
        
        <li><a href='00b8e1be29cf4fe6ab64b2e9fb69ff71.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—RestClient)</a></li>
        
        <li><a href='6040813dd279e04ec1cdb86251ca33cb.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—RestClient)</a></li>
        
        <li><a href='5b3b7a6132d3a03dec1c4dec5cfc6974.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—Ied_List)</a></li>
        
        <li><a href='d46c0eabe7767001a83f4432612be061.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—RestClient)</a></li>
        
        <li><a href='f01f2705206b3e28ee22807a233f9c4f.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—TopologyServiceProvider)</a></li>
        
        <li><a href='836f665c968e79fab5d36f315cbc8182.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—TopologyInstance)</a></li>
        
        <li><a href='50182e37469c8e0d92f760055953c6b8.html'><span class='node-icon _icon-UMLConnector'></span>(TopologyServiceProvider—TopologySerializer)</a></li>
        
    </ul>
</section>



        </div>
    </body>
</html>
